#3994 closed enhancement (fixed)

Generate Doxygen markup for the application configuration options

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: doc Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

The application configuration options are now available as specification items. From these items, the documentation in the RTEMS Classic API Guide is generated. The same approach can be used to generate Doxygen markup.

Change History (5)

comment:1 Changed on Aug 7, 2020 at 5:15:35 AM by Sebastian Huber <sebastian.huber@…>

In db22500/rtems-docs:

c-user: Improve refs and formatting in appl config

The formatting is generated through references within the specification.

Update #3994.

comment:2 Changed on Aug 7, 2020 at 5:15:37 AM by Sebastian Huber <sebastian.huber@…>

In 63764a6/rtems-docs:

c-user: Add automatically generated warning

Update #3994.

comment:3 Changed on Aug 7, 2020 at 5:24:30 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In e812f81/rtems:

Document application configuration options

Add a new directory for Doxygen-specific documentation content. Add a
Doxygen only header file containing documentation of the application
configuration options. The header file is generated from specification
items.

Close #3994.

comment:4 Changed on Oct 8, 2020 at 5:40:41 AM by Sebastian Huber <sebastian.huber@…>

In e697baf/rtems:

doxygen: Add "Generated from ..." comments

Improve file header comment.

Update #3994.

comment:5 Changed on Jun 23, 2021 at 7:07:55 AM by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.